Bug 1001071 - Duplicated example in CDROMs subcollection documentation
Duplicated example in CDROMs subcollection documentation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew Burden
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 08:48 EDT by Christophe Fergeau
Modified: 2014-08-25 01:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-25 01:57:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christophe Fergeau 2013-08-26 08:48:51 EDT
In https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.2/html/Developer_Guide/Virtual_Machine_CD-ROMs_Sub-Collection.html
the example 14.22 (Send a POST request with a file id element to add a new CD-ROM resource. ) and example 14.23 (The API changes the CD-ROM using a PUT request:) are the same:

PUT /api/vms/cdc0b102-fbfe-444a-b9cb-57d2af94f401/cdroms/00000000-0000-0000-0000-000000000000 HTTP/1.1
Accept: application/xml
Content-type: application/xml
      
<cdrom>
    <file id="fedora-15-x86_64-dvd.iso"/>
</cdrom>

I'd expect the first example to be different, and to start with POST /api/vms/....
Comment 1 Andrew Burden 2014-01-08 23:28:53 EST
Thank you, Christophe.

The first example I believe should have been titled 'Adding a new CD-ROM file' and, as indicated, should have used a POST request.

I've made the changes; will add the link when the book has been staged.
Comment 2 Andrew Burden 2014-03-14 03:17:33 EDT
What changed:
The title of 'Example 15.22' was changed to 'Adding a new CD-ROM file'. 
In the example itself, the Put request was changed to a POST request.

Topic affected:
[7922-574594]

Documentation link:
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html/Developer_Guide/Virtual_Machine_CD-ROMs_Sub-Collection.html

Note You need to log in before you can comment on or make changes to this bug.